package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._HsNormalizacao;

public class HsNormalizacao extends _HsNormalizacao {
	
	private static final long serialVersionUID = 1L;
	
	private static final int TO_STRING_LENGTH = 58; 

	@Override
	public String getDescricao()
	{
		return parseFromUnicode( super.getDescricao() );
	}
	
	@Override
	public void setDescricao( String nome )
	{
		super.setDescricao( parseToUnicode( nome ) );
	}
	
	@Override
	public String toString()
	{
		String codigo = getCodigo();
		String descricao = getDescricao() == null ? "" : getDescricao().replaceAll( "\n", " " );
		return (codigo == null ? "" : codigo ) + ": " + ( descricao.substring( 0, Math.min( TO_STRING_LENGTH, descricao.length() ) ) + ( TO_STRING_LENGTH < descricao.length() ? "..." : "" ) );
	}
	
}
